# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel unzip
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name python-json
%define upstream_version 3_4

Name:           python-json
Version:        3.4
Release:        alt1_10
Summary:        JSON reader and writer in Python
Group:          Development/Python
License:        LGPL
URL:            http://sourceforge.net/projects/json-py/
Source0:        http://sourceforge.net/projects/json-py/files/json-py/3_4/json-py-%{upstream_version}.zip
BuildArch:      noarch
Source44: import.info

%description
json.py is an implementation of a JSON (http://json.org) reader
and writer in Python.

#------------------------------------------------

%package -n python-module-json
Summary:        JSON reader and writer in Python 2
Group:          Development/Python
BuildArch:      noarch

Obsoletes:      python-json < 3.4-9
Provides:       python-json = %{version}-%{release}
Provides:       pythonegg(2)(json) = %{version}-%{release}

%description -n python-module-json
json.py is an implementation of a JSON (http://json.org) reader
and writer in Python 2.

#------------------------------------------------

%prep
%setup -q -c
chmod 644 *.txt

%build

%install
install -D -m 644 json.py %{buildroot}%{python_sitelibdir_noarch}/json.py

%files -n python-module-json
%doc *.txt
%{python_sitelibdir_noarch}/json.py*


%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 3.4-alt1_10
- update by mgaimport

* Sat Apr 07 2018 Igor Vlasenko <viy@altlinux.ru> 3.4-alt1_9
- new version

